Subject: cgroups increase to 65555 preventing docker to start

From: "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Wed, 30 Aug 2023 10:31:36 +0200

Hi,

when I try to start a docker container, I get the erro

docker: Error response from daemon: failed to create shim task: OCI
runtime create failed: runc create failed: unable to start container
process: unable to apply cgroup configuration: mkdir
/sys/fs/cgroup/docker/dac0a619a2d6f980095c74a6a2b82a31bbfef721d5bc80fe9a9fb94fe48cfa37:
no space left on device: unknown.

Checking the number of cgroups shows that it’s at the limit (if I read
it right, no guarantees for that, cgroups isn’t my strong side), but
this is after only a few days of uptime:

$ find /sys/fs/cgroup/ -type d | wc -l
65534

$ cat /proc/cgroups 
#subsys_name    hierarchy       num_cgroups     enabled
cpuset  0       65536   1
cpu     0       65536   1
cpuacct 0       65536   1
blkio   0       65536   1
memory  0       65536   1
devices 0       65536   1
freezer 0       65536   1
net_cls 0       65536   1
perf_event      0       65536   1
net_prio        0       65536   1
hugetlb 0       65536   1
pids    0       65536   1
misc    0       65536   1

Is Guix using cgroups for building?
Is something broken in Guix or do I have to hunt elsewhere for fixes?

Other people seem to have similar problems, but only after massive
docker usage:
https://github.com/AlexiaChen/rocker/issues/3#issuecomment-1128946114

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein,
ohne es zu merken.
draketo.de